Package com.databricks.jdbc.auth

## Class JwtPrivateKeyClientCredentials

- java.lang.Object
- - com.databricks.sdk.core.oauth.RefreshableTokenSource
  - - com.databricks.jdbc.auth.JwtPrivateKeyClientCredentials

All Implemented Interfaces:
  `com.databricks.sdk.core.oauth.TokenSource`

    public class JwtPrivateKeyClientCredentials
    extends com.databricks.sdk.core.oauth.RefreshableTokenSource

An implementation of RefreshableTokenSource implementing the JWT client_credentials OAuth grant type.

### Nested Class Summary

Nested Classes
`static class` `JwtPrivateKeyClientCredentials.Builder`

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Fields inherited from class com.databricks.sdk.core.oauth.RefreshableTokenSource

`token`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected com.databricks.sdk.core.oauth.Token` `refresh()`
`protected static com.databricks.sdk.core.oauth.Token` `retrieveToken​(IDatabricksHttpClient hc, String tokenUrl, Map<String,​String> params, Map<String,​String> headers)`

### Methods inherited from class com.databricks.sdk.core.oauth.RefreshableTokenSource

`getToken, retrieveToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Method Detail

#### refresh

    protected com.databricks.sdk.core.oauth.Token refresh()

Specified by:
  `refresh` in class `com.databricks.sdk.core.oauth.RefreshableTokenSource`

#### retrieveToken

    protected static com.databricks.sdk.core.oauth.Token retrieveToken​(IDatabricksHttpClient hc,
                                                                       String tokenUrl,
                                                                       Map<String,​String> params,
                                                                       Map<String,​String> headers)